> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # List Threads > Get a list of the thread conversations in a room. ### Changelog | Version | Description | | ---------------- | ------------| |1.0.0 | Added | ## OpenAPI ````json GET /api/v1/chat.getThreadsList { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Messaging" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Chat" }, { "name": "Direct Messages" }, { "name": "Auto-Translate" } ], "paths": { "/api/v1/chat.getThreadsList": { "get": { "tags": [ "Chat" ], "summary": "List Threads", "description": "Get a list of the thread conversations in a room.\n\n### Changelog\n| Version | Description | \n| ---------------- | ------------|\n|1.0.0 | Added |", "operationId": "get-chat.getThreadsList", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/offset" }, { "$ref": "#/components/parameters/count" }, { "$ref": "#/components/parameters/sort" }, { "$ref": "#/components/parameters/query" }, { "$ref": "#/components/parameters/fields" }, { "name": "rid", "in": "query", "description": "The room ID.", "schema": { "type": "string" }, "example": "7aDSXtjMA3KPLxLjt", "required": true }, { "name": "type", "in": "query", "schema": { "type": "string" }, "description": "Filter the thread by type. It can either be: \n- `unread`: returns the threads you follow which has unread messages. \n- `following`: returns all the thread you follow." }, { "name": "text", "in": "query", "schema": { "type": "string" }, "description": "Filter the thread list by search term." } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "threads": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "rid": { "type": "string" }, "msg": { "type": "string" }, "ts": { "type": "string" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } }, "_updatedAt": { "type": "string" }, "urls": { "type": "array", "items": { "type": "object" } }, "mentions": { "type": "array", "items": { "type": "object" } }, "channels": { "type": "array", "items": { "type": "object" } }, "md": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "string" } } } } } } }, "reactions": { "type": "object", "properties": { ":smile:": { "type": "object", "properties": { "usernames": { "type": "array", "items": { "type": "string" } } } } } }, "starred": { "type": "array", "items": { "type": "object" } }, "pinned": { "type": "boolean" }, "pinnedAt": { "type": "string" }, "pinnedBy": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } }, "replies": { "type": "array", "items": { "type": "string" } }, "tcount": { "type": "integer" }, "tlm": { "type": "string" } } } }, "count": { "type": "integer" }, "offset": { "type": "integer" }, "total": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Example 1": { "value": { "threads": [ { "_id": "NZieMNQDEdMDmLLip", "rid": "6GFJ3tbmHiyHbahmC", "msg": "hola", "ts": "2023-10-05T20:30:51.052Z", "u": { "_id": "rbAXPnMktTFbNpwtJ", "username": "roxie", "name": "test test" }, "_updatedAt": "2023-10-16T22:57:27.362Z", "urls": [], "mentions": [], "channels": [], "md": [ { "type": "PARAGRAPH", "value": [ { "type": "PLAIN_TEXT", "value": "hola" } ] } ], "reactions": { ":smile:": { "usernames": [ "test.test" ] } }, "starred": [], "pinned": true, "pinnedAt": "2023-10-05T20:59:44.433Z", "pinnedBy": { "_id": "5fRTXMt7DMJbpPJfh", "username": "test.test" }, "replies": [ "rbAXPnMktTFbNpwtJ" ], "tcount": 2, "tlm": "2023-10-16T22:57:27.158Z" } ], "count": 1, "offset": 0, "total": 1, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "offset": { "name": "offset", "in": "query", "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "count": { "name": "count", "in": "query", "description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "sort": { "name": "sort", "in": "query", "description": "List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, `{ \"value\": -1, \"_id\": 1 }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": {} }, "query": { "name": "query", "in": "query", "description": "This parameter allows you to use MongoDB query operators to search for specific data. For example, to query users with a name that contains the letter \"g\": query=`{ \"name\": { \"$regex\": \"g\" }}`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.", "required": false, "schema": {} }, "fields": { "name": "fields", "in": "query", "description": "This parameter accepts a JSON object with properties that have a value of 1 or 0 to include or exclude them in the response. For example, to only retrieve the usernames of users: fields=`{ \"username\": 1 }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.", "required": false, "schema": { "type": "string" } } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````